org.wildfly.swarm.config.elytron

## Class FilesystemRealm<T extends FilesystemRealm<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.FilesystemRealm<T>

-     public class FilesystemRealm<T extends FilesystemRealm<T>>
      extends Object

  A simple security realm definition backed by the filesystem.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilesystemRealm(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `encoded()` Whether the identity names should be stored encoded (Base32) in file names.
    `T` | `encoded(Boolean value)` Whether the identity names should be stored encoded (Base32) in file names.
    `String` | `getKey()`
    `Integer` | `levels()` The number of levels of directory hashing to apply.
    `T` | `levels(Integer value)` The number of levels of directory hashing to apply.
    `String` | `path()` The path to the file containing the realm.
    `T` | `path(String value)` The path to the file containing the realm.
    `String` | `relativeTo()` The pre-defined path the path is relative to.
    `T` | `relativeTo(String value)` The pre-defined path the path is relative to.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilesystemRealm

          public FilesystemRealm(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### encoded

          public Boolean encoded()

      Whether the identity names should be stored encoded (Base32) in file names.

    - #### encoded

          public T encoded(Boolean value)

      Whether the identity names should be stored encoded (Base32) in file names.

    - #### levels

          public Integer levels()

      The number of levels of directory hashing to apply.

    - #### levels

          public T levels(Integer value)

      The number of levels of directory hashing to apply.

    - #### path

          public String path()

      The path to the file containing the realm.

    - #### path

          public T path(String value)

      The path to the file containing the realm.

    - #### relativeTo

          public String relativeTo()

      The pre-defined path the path is relative to.

    - #### relativeTo

          public T relativeTo(String value)

      The pre-defined path the path is relative to.

Copyright © 2018 JBoss by Red Hat. All rights reserved.